Skip to main content
GET
/
brands
/
{brand_id}
/
campaigns
/
{campaign_id}
/
relationships
Retrieve campaign relationships
curl --request GET \
  --url https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}/relationships \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "avatar_url": "<string>",
      "handle": "<string>",
      "media_ids": [],
      "relationship_id": 123,
      "stats": {}
    }
  ],
  "paging": {
    "count": 123,
    "next": "<string>",
    "previous": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
integer<int32>
required

The Dash Social assigned ID of the brand.

campaign_id
integer
required

The ID of the campaign object.

Required range: x >= 0

Query Parameters

limit
integer
default:100

Number of results to return in a single response.

Required range: 0 <= x <= 1000
offset
integer
default:0

The offset of the first result to be returned.

Required range: x >= 0
relationship_ids
integer[]

Comma-separated list of relationship IDs to return.

start_date
string | null

A formatted datetime string in UTC.

Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(Z|((\+|-)\d{2}:\d{2})))?$
Example:

"2019-12-01"

end_date
string | null

A formatted datetime string in UTC.

Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(Z|((\+|-)\d{2}:\d{2})))?$
Example:

"2019-12-12"

Response

OK

data
object[]
paging
object